<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Horarioderecepcion{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO horarioderecepcion (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idhorarioderecepcion,$nombre,$descripcion){
	$sql="UPDATE horarioderecepcion SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idhorarioderecepcion='$idhorarioderecepcion'";
	return ejecutarConsulta($sql);
}
public function desactivar($idhorarioderecepcion){
	$sql="UPDATE horarioderecepcion SET condicion='0' WHERE idhorarioderecepcion='$idhorarioderecepcion'";
	return ejecutarConsulta($sql);
}
public function activar($idhorarioderecepcion){
	$sql="UPDATE horarioderecepcion SET condicion='1' WHERE idhorarioderecepcion='$idhorarioderecepcion'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idhorarioderecepcion){
	$sql="SELECT * FROM horarioderecepcion WHERE idhorarioderecepcion='$idhorarioderecepcion'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM horarioderecepcion";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM horarioderecepcion WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
